// plantillas.h - Definiciones de plantillas
#if !defined( _PLANTILLAS_H_ )
#define _PLANTILLAS_H_
#include <vector>

template<class T> T menor(T a, T b)
{
  return (a < b) ? a : b;
}

template<class T>
std::vector<T> menor(std::vector<T> a, std::vector<T> b)
{
  return (a < b) ? a : b;
}

double menor(double a, double b)
{
  return (a < b) ? a : b;
}

#endif // _PLANTILLAS_H_

